import { __assign } from "tslib";
import { classNamesFunction } from '@uifabric-vue/utilities';
import Vue from 'vue';
import { CalendarYearNavArrow } from './CalendarYearNavArrow';
import { withCalendarYearProps, withCalendarYearRangeProps } from './useCalendarYear';
var getClassNames = classNamesFunction();
export var CalendarYearNav = Vue.extend({
    name: 'CalendarYearNav',
    functional: true,
    props: __assign(__assign({}, withCalendarYearProps()), withCalendarYearRangeProps()),
    render: function (h, ctx) {
        var _a = ctx.props, styles = _a.styles, theme = _a.theme, className = _a.className;
        var classNames = getClassNames(styles, {
            theme: theme,
            className: className,
        });
        return h('div', { class: classNames.navigationButtonsContainer }, [
            h(CalendarYearNavArrow, __assign(__assign({}, ctx.data), { props: __assign(__assign({}, ctx.props), { direction: 0 /* Previous */ }) })),
            h(CalendarYearNavArrow, __assign(__assign({}, ctx.data), { props: __assign(__assign({}, ctx.props), { direction: 1 /* Next */ }) })),
        ]);
    },
});
//# sourceMappingURL=CalendarYearNav.js.map