import { __decorate, __extends } from "tslib";
import { classNamesFunction } from '@uifabric-vue/utilities';
import { Component } from 'vue-property-decorator';
import BaseComponent from '../BaseComponent';
import VNodes from '../VNodes';
var getClassNames = classNamesFunction();
var DialogFooterBase = /** @class */ (function (_super) {
    __extends(DialogFooterBase, _super);
    function DialogFooterBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DialogFooterBase.prototype.render = function (h) {
        var _a = this, className = _a.className, styles = _a.styles, theme = _a.theme;
        this._classNames = getClassNames(styles, {
            theme: theme,
            className: className,
        });
        return h('div', {
            class: this._classNames.actions,
        }, [
            h('div', {
                class: this._classNames.actionsRight,
            }, this._renderChildrenAsActions(h)),
        ]);
    };
    DialogFooterBase.prototype._renderChildrenAsActions = function (h) {
        var _this = this;
        var _a;
        return (_a = this.$slots.default) === null || _a === void 0 ? void 0 : _a.map(function (child) {
            return child ? h('span', { class: _this._classNames.action }, [h(VNodes, { props: { vnodes: child } })]) : null;
        });
    };
    DialogFooterBase = __decorate([
        Component
    ], DialogFooterBase);
    return DialogFooterBase;
}(BaseComponent));
export { DialogFooterBase };
//# sourceMappingURL=DialogFooter.base.js.map