import { __assign } from "tslib";
import { withThemeableProps } from '@/useThemeable';
import { classNamesFunction } from '@uifabric-vue/utilities';
import Vue from 'vue';
var getClassNames = classNamesFunction();
export var VerticalDividerBase = Vue.extend({
    name: 'VerticalDividerBase',
    functional: true,
    props: __assign({}, withThemeableProps()),
    render: function (h, ctx) {
        var _a = ctx.props, styles = _a.styles, theme = _a.theme, className = _a.className;
        var classNames = getClassNames(styles, { theme: theme, className: className });
        return h('span', { class: classNames.wrapper }, [
            h('span', { class: classNames.divider }),
        ]);
    },
});
//# sourceMappingURL=VerticalDivider.base.js.map