import Vue from 'vue';
import { Dialog, DialogType, DialogFooter, PrimaryButton, DefaultButton } from '.';
var dialogStyles = { main: { maxWidth: 450 } };
var dialogContentProps = {
    type: DialogType.normal,
    title: 'Missing Subject',
    closeButtonAriaLabel: 'Close',
    subText: 'Do you want to send this message without a subject?',
};
new Vue({
    render: function (h) {
        return h('div', [
            h(Dialog, {
                props: {
                    hidden: false,
                    dialogContentProps: dialogContentProps,
                    modalProps: {
                        styles: dialogStyles,
                    },
                },
            }, [
                h(DialogFooter, [
                    h(PrimaryButton, 'Send'),
                    h(DefaultButton, "Don't send"),
                ]),
            ]),
        ]);
    },
}).$mount('#app');
//# sourceMappingURL=dev.js.map