import { ICalendarYearStrings } from './CalendarYear.types';
export declare const withCalendarYearProps: () => {
    highlightCurrentYear: {
        type: BooleanConstructor;
        default: boolean;
    };
    highlightSelectedYear: {
        type: BooleanConstructor;
        default: boolean;
    };
    minYear: {
        type: NumberConstructor;
        default: undefined;
    };
    maxYear: {
        type: NumberConstructor;
        default: undefined;
    };
    selectedYear: {
        type: NumberConstructor;
        default: undefined;
    };
    navigatedYear: {
        type: NumberConstructor;
        default: undefined;
    };
    strings: {
        type: () => ICalendarYearStrings;
        default: () => ICalendarYearStrings;
    };
    dateTimeFormatter: {
        type: () => import("@fluentui/date-time-utilities").IDateFormatting;
        default: () => import("@fluentui/date-time-utilities").IDateFormatting;
    };
    className: {
        type: StringConstructor;
        default: string;
    };
    styles: {
        type: () => any;
        default: undefined;
    };
    theme: {
        type: () => import("@fluentui/style-utilities").ITheme;
        default: () => import("@fluentui/style-utilities").ITheme;
    };
};
export declare const withCalendarYearRangeProps: () => {
    fromYear: {
        type: NumberConstructor;
        required: boolean;
    };
    toYear: {
        type: NumberConstructor;
        required: boolean;
    };
};
//# sourceMappingURL=useCalendarYear.d.ts.map