import { IProcessedStyleSet } from '@uifabric/styling';
import Vue from 'vue';
import { IToggleStyleProps, IToggleStyles } from './Toggle.types';
export declare const ToggleBase: import("vue/types/vue").ExtendedVue<Vue, {
    internalChecked: boolean | undefined;
}, {
    focus(): void;
    onClick(): void;
}, {
    classNames: IProcessedStyleSet<IToggleStyles>;
    uid: string;
}, {
    disabled?: boolean | undefined;
    theme?: import("@uifabric/styling").ITheme | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<IToggleStyleProps, IToggleStyles> | undefined;
    className?: string | undefined;
    role?: "switch" | "checkbox" | "menuitemcheckbox" | undefined;
    ariaLabel?: string | undefined;
    label?: string | JSX.Element | undefined;
    checked?: boolean | undefined;
    defaultChecked?: boolean | undefined;
    as?: string | undefined;
    onChange?: void | ((event: MouseEvent, checked?: boolean | undefined) => void);
    onChanged?: void | ((checked: boolean) => void);
    onText?: string | undefined;
    offText?: string | undefined;
    onAriaLabel?: string | undefined;
    offAriaLabel?: string | undefined;
    inlineLabel?: boolean | undefined;
}>;
//# sourceMappingURL=Toggle.base.d.ts.map