import { PropType } from 'vue';
declare type omittedProps = 'componentRef';
export declare type MappedType<T> = Omit<{
    [K in keyof T]: {
        required?: true;
        default?: T[K] | null | undefined | (() => T[K] | null | undefined);
        validator?(value: T[K]): boolean;
        type: PropType<NonNullable<T[K]>>;
    };
}, omittedProps>;
export interface IBaseProps {
    className?: string;
}
export {};
//# sourceMappingURL=types.d.ts.map