import { __assign, __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { getStyles } from './IconButton.styles';
import { BaseButton } from '../BaseButton';
import BaseComponent from '../../BaseComponent';
var IconButton = /** @class */ (function (_super) {
    __extends(IconButton, _super);
    function IconButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(IconButton.prototype, "internalStyles", {
        get: function () {
            var _a = this, theme = _a.theme, styles = _a.styles;
            return getStyles(theme, styles);
        },
        enumerable: false,
        configurable: true
    });
    IconButton.prototype.render = function (h) {
        var _a = this, iconProps = _a.iconProps, disabled = _a.disabled, internalStyles = _a.internalStyles;
        var props = {
            iconProps: iconProps,
            disabled: disabled,
            variantClassName: 'ms-Button--icon',
            styles: internalStyles,
            theme: this.theme,
        };
        return h(BaseButton, {
            attrs: __assign(__assign(__assign({}, this.$props), props), this.$attrs),
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    };
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], IconButton.prototype, "disabled", void 0);
    __decorate([
        Prop({ type: Object, default: function () { } }),
        __metadata("design:type", Object)
    ], IconButton.prototype, "iconProps", void 0);
    IconButton = __decorate([
        Component({
            inheritAttrs: false,
        })
    ], IconButton);
    return IconButton;
}(BaseComponent));
export { IconButton };
//# sourceMappingURL=IconButton.js.map