import { __assign } from "tslib";
import { DateRangeType, DayOfWeek, FirstWeekOfYear } from '../Calendar';
import { withCalendarProps } from '../Calendar/useCalendar';
export var withCalendarDayGridProps = function () { return (__assign(__assign({}, withCalendarProps()), { dateRangeType: { type: Number, default: DateRangeType.Day }, firstDayOfWeek: { type: Number, default: DayOfWeek.Sunday }, firstWeekOfYear: { type: Number, default: FirstWeekOfYear.FirstDay }, selectedDate: { type: Date, required: true }, navigatedDate: { type: Date, required: true }, 
    //  onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    //  onNavigateDate?: (date: Date, focusOnNavigatedDay: boolean) => void;
    //  onDismiss?: () => void;
    daysToSelectInDayView: { type: Number, default: 1 }, today: { type: Date, default: function () { return new Date(); } }, showWeekNumbers: { type: Boolean, default: false }, 
    //  customDayCellRef?: (element: HTMLElement, date: Date, classNames: IProcessedStyleSet<ICalendarDayGridStyles>) => void;
    weeksToShow: { type: Number, default: undefined }, minDate: { type: Date, default: undefined }, maxDate: { type: Date, default: undefined }, restrictedDates: { type: Array, default: undefined }, workWeekDays: { type: Array, default: function () { return [DayOfWeek.Monday, DayOfWeek.Tuesday, DayOfWeek.Wednesday, DayOfWeek.Thursday, DayOfWeek.Friday]; } }, showCloseButton: { type: Boolean, default: false }, allFocusable: { type: Boolean, default: false }, labelledBy: { type: String, default: undefined }, lightenDaysOutsideNavigatedMonth: { type: Boolean, default: true }, animationDirection: { type: Number, default: undefined } })); };
export var withCalendarGridRowProps = function () { return (__assign(__assign({}, withCalendarDayGridProps()), { classNames: { type: Object, required: true }, weeks: { type: Array, required: true }, week: { type: Array, required: true }, weekIndex: { type: Number, required: true }, weekCorners: { type: Object, default: undefined }, ariaHidden: { type: Boolean, default: undefined }, rowClassName: { type: String, default: '' }, ariaRole: { type: String, default: undefined }, activeDescendantId: { type: String, default: undefined } })); };
//# sourceMappingURL=useCalendarDayGrid.js.map