import { PersonaSize, PersonaPresence } from './Persona.types.js';

var _a;
var personaSize;
(function(personaSize2) {
  personaSize2.size8 = "20px";
  personaSize2.size10 = "20px";
  personaSize2.size16 = "16px";
  personaSize2.size24 = "24px";
  personaSize2.size28 = "28px";
  personaSize2.size32 = "32px";
  personaSize2.size40 = "40px";
  personaSize2.size48 = "48px";
  personaSize2.size56 = "56px";
  personaSize2.size72 = "72px";
  personaSize2.size100 = "100px";
  personaSize2.size120 = "120px";
})(personaSize || (personaSize = {}));
var personaPresenceSize;
(function(personaPresenceSize2) {
  personaPresenceSize2.size6 = "6px";
  personaPresenceSize2.size8 = "8px";
  personaPresenceSize2.size12 = "12px";
  personaPresenceSize2.size16 = "16px";
  personaPresenceSize2.size20 = "20px";
  personaPresenceSize2.size28 = "28px";
  personaPresenceSize2.size32 = "32px";
  personaPresenceSize2.border = "2px";
})(personaPresenceSize || (personaPresenceSize = {}));
var sizeBoolean = function(size) {
  return {
    isSize8: size === PersonaSize.size8,
    isSize10: size === PersonaSize.size10 || size === PersonaSize.tiny,
    isSize16: size === PersonaSize.size16,
    isSize24: size === PersonaSize.size24 || size === PersonaSize.extraExtraSmall,
    isSize28: size === PersonaSize.size28 || size === PersonaSize.extraSmall,
    isSize32: size === PersonaSize.size32,
    isSize40: size === PersonaSize.size40 || size === PersonaSize.small,
    isSize48: size === PersonaSize.size48 || size === PersonaSize.regular,
    isSize56: size === PersonaSize.size56,
    isSize72: size === PersonaSize.size72 || size === PersonaSize.large,
    isSize100: size === PersonaSize.size100 || size === PersonaSize.extraLarge,
    isSize120: size === PersonaSize.size120
  };
};
var sizeToPixels = (_a = {}, _a[PersonaSize.tiny] = 10, _a[PersonaSize.extraExtraSmall] = 24, _a[PersonaSize.extraSmall] = 28, _a[PersonaSize.small] = 40, _a[PersonaSize.regular] = 48, _a[PersonaSize.large] = 72, _a[PersonaSize.extraLarge] = 100, _a[PersonaSize.size8] = 8, _a[PersonaSize.size10] = 10, _a[PersonaSize.size16] = 16, _a[PersonaSize.size24] = 24, _a[PersonaSize.size28] = 28, _a[PersonaSize.size32] = 32, _a[PersonaSize.size40] = 40, _a[PersonaSize.size48] = 48, _a[PersonaSize.size56] = 56, _a[PersonaSize.size72] = 72, _a[PersonaSize.size100] = 100, _a[PersonaSize.size120] = 120, _a);
var presenceBoolean = function(presence) {
  return {
    isAvailable: presence === PersonaPresence.online,
    isAway: presence === PersonaPresence.away,
    isBlocked: presence === PersonaPresence.blocked,
    isBusy: presence === PersonaPresence.busy,
    isDoNotDisturb: presence === PersonaPresence.dnd,
    isOffline: presence === PersonaPresence.offline
  };
};

export { personaPresenceSize, personaSize, presenceBoolean, sizeBoolean, sizeToPixels };
