import { createTheme, loadTheme as baseLoadTheme } from '@uifabric/styling';
export function loadTheme(theme) {
    var _theme = createTheme(theme);
    var palette = _theme.palette, semanticColors = _theme.semanticColors;
    // generate new css vars
    // palette = registerCSSVars('palette', palette)
    // semanticColors = registerCSSVars('semanticColors', semanticColors)
    // update theme
    return baseLoadTheme({
        palette: palette,
        semanticColors: semanticColors,
    });
}
//# sourceMappingURL=loadTheme.js.map