import { getTheme } from '@fluentui/style-utilities';
export var withThemeableProps = function () { return ({
    className: { type: String, default: '' },
    styles: { type: [Object, Function], default: undefined },
    theme: { type: Object, default: function () { return getTheme(); } },
}); };
export var useThemeable = function (getClassNames, props) {
    return getClassNames(props.styles, props);
};
//# sourceMappingURL=useThemeable.js.map