import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { ICalendarYearStyleProps, ICalendarYearStyles } from './CalendarYear.types';
export declare const CalendarYearBase: import("vue/types/vue").ExtendedVue<Vue, {
    fromYear: number;
}, unknown, {
    classNames: IProcessedStyleSet<ICalendarYearStyles>;
    rangeYear: number;
    toYear: number;
}, {
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<ICalendarYearStyleProps, ICalendarYearStyles> | undefined;
    className?: string | undefined;
    animationDirection?: import("..").AnimationDirection | undefined;
    strings?: import("./CalendarYear.types").ICalendarYearStrings | undefined;
    navigationIcons?: import("..").ICalendarNavigationIcons | undefined;
    onHeaderSelect?: void | ((focus: boolean) => void);
    selectedYear?: number | undefined;
    navigatedYear?: number | undefined;
    onSelectYear?: void | ((year: number) => void);
    minYear?: number | undefined;
    maxYear?: number | undefined;
    highlightCurrentYear?: boolean | undefined;
    highlightSelectedYear?: boolean | undefined;
}>;
//# sourceMappingURL=CalendarYear.base.d.ts.map