import Vue from 'vue';
import { IBasePickerStyles } from './BasePicker.types';
import { IProcessedStyleSet } from '@uifabric/merge-styles';
import { Selection } from '../../../lib/utilities';
export declare const BasePicker: import("vue/types/vue").ExtendedVue<Vue, {
    selection: Selection<import("@uifabric-vue/utilities").IObjectWithKey>;
    items: never[];
    suggestedDisplayValue: string;
    isMostRecentlyUsedVisible: boolean;
    moreSuggestionsAvailable: boolean;
    isFocused: boolean;
    isSearching: boolean;
    selectedIndices: never[];
    selectionRemoved: undefined;
    suggestionsVisible: boolean;
    suggestionsLoading: boolean;
    isResultsFooterVisible: boolean;
}, {
    onSelectionChange(): void;
    updateSuggestionsList(suggestions: any[] | PromiseLike<any[]>, updatedValue?: string | undefined): void;
    resolveSuggestions(updatedValue: string): void;
    updateValue(updatedValue: string): void;
    onInputChange(value: any): void;
    onKeyDown(ev: KeyboardEvent): void;
    onFocus(): void;
    onBlur(ev: FocusEvent): void;
}, {
    classNames: IProcessedStyleSet<IBasePickerStyles>;
    canAddItems: boolean;
}, {
    disabled: boolean;
    selectionRole: string;
    selectionAriaLabel: string;
    inputProps: any;
    itemLimit: number;
    onResolveSuggestions: Function;
    className: string;
    styles: any;
    theme: import("@fluentui/style-utilities").ITheme;
}>;
//# sourceMappingURL=BasePicker.d.ts.map